WCSLEN(3)

NAME
wcslen - find length of a wide string

SYNOPSIS
#include <wchar.h>
size_t
wcslen(const wchar_t *s);

DESCRIPTION
The wcslen() function computes the length of the wide string s.

RETURN VALUES
The wcslen() function returns the number of wide characters that precede the terminating null wide character.

SEE ALSO
strlen(3), wcswidth(3)

STANDARDS
The wcslen() function conforms to isoC-99 and was first introduced in isoC-amd1.

HISTORY
The wcslen() function was ported from NetBSD and first appeared in OpenBSD 3.8.